<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>CSS Assignment</title>
    <style>
      * {
        margin: 0%;
      }
    </style>
  </head>
  <body>
    <div>
      <header
        style="
          position: absolute;
          top: opx;
          background-color: rgb(252, 147, 217);
          height: 20%;
          width: 100%;
          text-align: center;
          font-size: 50px;
        "
      >
        Header
      </header>
    </div>
    <div
      style="
        position: absolute;
        top: 20%;
        background-color: rgb(248, 247, 248);
        height: 70%;
        width: 70%;
        text-align: center;
        font-size: 50px;
      "
    >
      Main Content
    </div>
    <div
      style="
        position: absolute;
        top: 20%;
        right: 0%;
        background-color: rgb(243, 63, 243);
        height: 70%;
        width: 30%;
        text-align: center;
        font-size: 50px;
      "
    >
      Right panel
    </div>
    <div>
      <footer
        style="
          position: absolute;
          bottom: 0%;
          background-color: rgb(216, 150, 216);
          height: 10%;
          width: 100%;
          text-align: center;
          font-size: 50px;
        "
      >
        Footer
      </footer>
    </div>
  </body>
</html>
